Bug 165253 - losetup missing option -a
losetup missing option -a
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-05 17:49 EDT by Jim Richardson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-17 11:49:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch with "-a" option for losetup (3.58 KB, patch)
2005-09-06 02:46 EDT, Karel Zak
no flags Details | Diff

  None (edit)
Description Jim Richardson 2005-08-05 17:49:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Fedora/1.7.10-1.3.1

Description of problem:
Of course this is the old chicken/egg issue, or who is in charge. Attempting to use a script to mount crypted filesystems from a file as a loop device the script used a -a option to list current loop devices.

I took a peek at the Fedora source and see that the original losetup.c is only referred to in a completely rewritten source file. Well IMO if you are going to plagerize then copy it all.

I don't know who defines the standards or if there are any for such utitlies but one would think they would all pretty much function the same.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
/sbin/losetup -a

  

Actual Results:  usage output

Expected Results:  list of active loop devices

Additional info:
Comment 1 Karel Zak 2005-08-29 11:39:30 EDT
Implemented. The patch send to upstream developer. 
Comment 2 Karel Zak 2005-09-06 02:46:34 EDT
Created attachment 118483 [details]
patch with "-a" option for losetup
Comment 3 Karel Zak 2005-10-05 09:23:40 EDT
No feedback from upstream yet. But I think we can add this nice feature to FC5.
Comment 4 Karel Zak 2005-10-17 11:49:27 EDT
Added to FC5. 

Note You need to log in before you can comment on or make changes to this bug.